API Reference
List Beneficiaries [GET]

List Beneficiaries

https://sandboxapi.onbrails.com/api/v2/beneficiaries (opens in a new tab)

List all beneficiaries linked to your account

Query Parameters

ParameterTypeRequiredDescription
statusstringFilter by status — PENDING, PROCESSING, SUCCESS, FAILED
currencystringFilter by currency
countrystringFilter by country
qstringFilter by reference
limitintegerNumber of results to return (default 50, max 100)
nextCursorstringCursor for the next page of results
prevCursorstringCursor for the previous page of results

Request

Beneficiaries/List Beneficiaries [GET]
curl --request GET \
     --url https://sandboxapi.onbrails.com/api/v2/beneficiaries \
     --header 'Authorization: Bearer YOUR_SECRET_KEY' \
     --header 'accept: application/json'

Responses

🟢 200 - Result example
{
  "status": true,
  "message": "successfully fetched all beneficiaries",
  "data": {
      "data": [
          {
              "id": "42aa6d30-b54c-4e84-822a-c74d9aa53c04",
              "createdAt": "2023-08-21T10:40:55.531Z",
              "updatedAt": "2023-08-21T10:40:55.531Z",
              "reference": "hdnkklwbejwj",
              "status": "SUCCESS",
              "country": "NG",
              "currency": "NGN",
              "provider": "provider_name",
              "destination": {
                  "type": "NUBAN",
                  "bankCode": "044",
                  "accountName": "Joe Zen",
                  "accountNumber": "0691110031"
              }
          }
      ],
      "meta": {
          "limit": 50,
          "nextCursor": "eyJpZCI6IjQyYWE2ZDMwLWI1NGMtNGU4NC04MjJhLWM3NGQ5YWE1M2MwNCJ9",
          "prevCursor": null,
          "hasNextPage": false,
          "hasPreviousPage": false
      }
  }
}